[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#656423: pu: package qemu-kvm/0.12.5+dfsg-5+squeeze7

On 19.01.2012 12:38, Michael Tokarev wrote:
> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: pu
> I'd like to upload a new release of qemu-kvm package for squeeze/stable.
> This update includes single change which is a fix for an old bug #637990
> It is not very important fix (but worth fixing anyway), but now, when a
> more recent version of libvirt uploaded to squeeze-backports, this bug
> started hiting users, see http://lists.debian.org/debian-backports/2012/01/msg00053.html
> for an example.
> This very bugfix has been included in qemu-kvm upstream for a very long
> time but has never been applied to any upstream stable series.  It were
> also used in ubuntu qemu-kvm package.  The patch adds a forgotten close()
> operation.
> I prepared this update about half a year ago (17 Aug 2010), wishing to
> fix #637990, but a more serious bug has been discovered, and the end
> result was that I never went to including this fix in any stable release.

And I forgot to mention.  This has been tested -- rather quickly,
because the change is "small and obvious" and because its been
applied upstream and on ubuntu and later on redhat -- on several
guests with and without libvirt in order to verify the change does
not add regressions and indeed fixes the problem.  I did the
testing at that time (at Aug-2010), and repeated some tests
again now just to be sure (after rebuilding the package on
current 6.0.3 version of squeeze).



Reply to: